Rotate the secret: { "secret": "<new secret, at least 16 characters>" }
Move your bot: { "url": "https://new-host.example.com/minimo/webhook" }
When no active webhook for whatsapp.message.received is left (paused, or the event removed), your WhatsApp numbers
go back to the inbox: nobody answers automatically until you turn the AI assistant on again in Minimo or reactivate
the webhook.
Permissions
The API key needs the WhatsApp permission.
Authorizations
Authorization
string
header
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
id
integer
required
The webhook id from Register Webhook or List Webhooks.
Body
application/json
name
string
A label for you.
Minimum string length: 1
url
string
Your HTTPS endpoint that receives the events.
secret
string
A new signing secret (rotation).
Minimum string length: 16
events
enum<string>[]
whatsapp.message.received = a contact wrote to you. whatsapp.message.status = a message you sent was sent, delivered, read or failed.
Minimum array length: 1
Available options:
whatsapp.message.received,
whatsapp.message.status
method
enum<string>
default:POST
Available options:
POST,
GET
headers
object[]
Replaces the static headers.
Show child attributes
status
enum<string>
Pause (inactive) or resume (active) delivery without deleting the webhook.
Available options:
active,
inactive
Response
The updated webhook
data
object
A webhook registration. The secret is never returned: hasSecret tells you one is set.
Show child attributes
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Minimo Docs","colors":{"primary":"#000000","light":"#fafafa","dark":"#000000"},"favicon":"https://mintcdn.com/minimo/3CkweOTs_wJBldaS/favicon.svg?fit=max\u0026auto=format\u0026n=3CkweOTs_wJBldaS\u0026q=85\u0026s=741f59ded2f05d51dd8ed745b6b9304d","logo":{"light":"https://mintcdn.com/minimo/_5TQWO7ZAmNbow_0/logo/light.svg?fit=max\u0026auto=format\u0026n=_5TQWO7ZAmNbow_0\u0026q=85\u0026s=770ea7f424284ce6f88684bb97af23f0","dark":"https://mintcdn.com/minimo/_5TQWO7ZAmNbow_0/logo/dark.svg?fit=max\u0026auto=format\u0026n=_5TQWO7ZAmNbow_0\u0026q=85\u0026s=d0eaf24238816ed860e88d67985c7d27"},"api":{"openapi":["api-reference/openApi.yml"]},"navbar":{"links":[{"label":"Support","href":"mailto:info@minimo.it"}],"primary":{"type":"button","label":"Start now for free","href":"https://app.minimo.it"}},"footer":{"socials":{"instagram":"https://instagram.com/thebareminimo","linkedin":"https://www.linkedin.com/company/thebareminimo"}},"integrations":{},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Sito Web","href":"https://minimo.it","icon":"desktop"},{"anchor":"Blog","href":"https://minimo.it/blog","icon":"newspaper"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"minimo","hasAudioNarration":false,"actualSubdomain":"minimo","customDomains":["docs.minimo.it"],"gitSource":{"type":"github","owner":"thebareminimo","repo":"docs-v2","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6af73a67e0e076832781b1f7","clientVersion":"0.0.4138","searchFilterCounts":[{"language":"default","tag":"API Reference","count":43},{"language":"default","tag":"Guides","count":22},{"language":"default","tag":"Product","count":22},{"language":"default","tag":"Embedded for SaaS","count":19},{"language":"default","tag":"Connect a Bot (WhatsApp)","count":14},{"language":"default","tag":"Inbox","count":11},{"language":"default","tag":"Messaging Channels","count":10},{"language":"default","tag":"Widgets","count":8},{"language":"default","tag":"Core Data","count":7},{"language":"default","tag":"Webhooks","count":7}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/whatsapp-transport/webhook-update","slug":"/api-reference/whatsapp-transport/webhook-update","pageMetadata":{"title":"Update Webhook","description":"Change the URL, events or secret, or pause and resume delivery","openapi":"put /public/v1/webhooks/registrations/{id}","href":"/api-reference/whatsapp-transport/webhook-update"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Change the URL, events or secret, or pause and resume delivery\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,li:`li`,p:`p`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{Heading,Note}=_components;if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Only the fields you send change.`}),`\n`,_jsx(Heading,{level:`2`,id:`use-cases`,children:`Use Cases`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Pause delivery`}),`: `,_jsx(_components.code,{children:`{ \"status\": \"inactive\" }`}),`, resume with `,_jsx(_components.code,{children:`{ \"status\": \"active\" }`})]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Rotate the secret`}),`: `,_jsx(_components.code,{children:`{ \"secret\": \"\u003cnew secret, at least 16 characters>\" }`})]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Move your bot`}),`: `,_jsx(_components.code,{children:`{ \"url\": \"https://new-host.example.com/minimo/webhook\" }`})]}),`\n`]}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`When no active webhook for `,_jsx(_components.code,{children:`whatsapp.message.received`}),` is left (paused, or the event removed), your WhatsApp numbers\ngo back to the inbox: nobody answers automatically until you turn the AI assistant on again in Minimo or reactivate\nthe webhook.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`permissions`,children:`Permissions`}),`\n`,_jsxs(_components.p,{children:[`The API key needs the `,_jsx(_components.strong,{children:`WhatsApp`}),` permission.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Update Webhook","description":"Change the URL, events or secret, or pause and resume delivery","openapi":"put /public/v1/webhooks/registrations/{id}","href":"/api-reference/whatsapp-transport/webhook-update"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Use Cases","slug":"use-cases","depth":2,"children":[]},{"title":"Permissions","slug":"permissions","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Update a webhook","operationId":"updateWebhookRegistration","description":"Change the URL, events or secret, or pause and resume delivery","parameters":["dbf66815-3446-4138-bbd2-d2ed8af648d5"],"requestBody":"0f4de07a-c074-4738-8f85-ed359b28b524","responses":{"200":"dd41c2fc-0b12-4108-94a8-8a1b9e412863","400":"370fb3cb-a994-4c3b-afe5-5809b17e9e44","401":"c27ed75c-75b4-47d3-95cd-455f05418ed8","404":"89abe800-dbfa-4eb6-9cd7-04b162e73b01"},"security":["4227efad-2b03-4fa4-be37-71cd9e298fb5"],"x-codeSamples":[{"label":"CLI","lang":"cURL","source":"curl --request PUT \\\n --url 'https://api.minimo.it/public/v1/webhooks/registrations/42' \\\n --header 'Authorization: Bearer {{BEARER_TOKEN}}' \\\n --header 'Content-Type: application/json' \\\n --data '{\"status\": \"inactive\"}'"},{"lang":"JavaScript","source":"const res = await fetch('https://api.minimo.it/public/v1/webhooks/registrations/42', {\n method: 'PUT',\n headers: {\n 'Authorization': 'Bearer {{BEARER_TOKEN}}',\n 'Content-Type': 'application/json',\n },\n body: JSON.stringify({\"status\": \"inactive\"}),\n});\nconst { data } = await res.json();\nconsole.log(data);"},{"lang":"Python","source":"import requests\n\nres = requests.put(\n 'https://api.minimo.it/public/v1/webhooks/registrations/42',\n headers={'Authorization': 'Bearer {{BEARER_TOKEN}}'},\n json={'status': 'inactive'},\n)\nprint(res.json())"}],"method":"put","type":"path","servers":["bd585015-3a89-44ed-8c8b-4b233fab0b45"],"path":"/public/v1/webhooks/registrations/{id}","baseUrlOptions":["https://api.minimo.it"],"title":"Update a webhook","codeSamples":[{"label":"CLI","lang":"cURL","source":"curl --request PUT \\\n --url 'https://api.minimo.it/public/v1/webhooks/registrations/42' \\\n --header 'Authorization: Bearer {{BEARER_TOKEN}}' \\\n --header 'Content-Type: application/json' \\\n --data '{\"status\": \"inactive\"}'"},{"lang":"JavaScript","source":"const res = await fetch('https://api.minimo.it/public/v1/webhooks/registrations/42', {\n method: 'PUT',\n headers: {\n 'Authorization': 'Bearer {{BEARER_TOKEN}}',\n 'Content-Type': 'application/json',\n },\n body: JSON.stringify({\"status\": \"inactive\"}),\n});\nconst { data } = await res.json();\nconsole.log(data);"},{"lang":"Python","source":"import requests\n\nres = requests.put(\n 'https://api.minimo.it/public/v1/webhooks/registrations/42',\n headers={'Authorization': 'Bearer {{BEARER_TOKEN}}'},\n json={'status': 'inactive'},\n)\nprint(res.json())"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"dbf66815-3446-4138-bbd2-d2ed8af648d5":{"name":"id","in":"path","required":true,"description":"The webhook `id` from Register Webhook or List Webhooks.","schema":{"type":"integer","isRequired":true,"description":"The webhook `id` from Register Webhook or List Webhooks.","uniqueKey":"","typeLabel":"integer"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1,"description":"A label for you.","uniqueKey":"name","typeLabel":"string"},"url":{"type":"string","description":"Your HTTPS endpoint that receives the events.","uniqueKey":"url","typeLabel":"string"},"secret":{"type":"string","minLength":16,"description":"A new signing secret (rotation).","uniqueKey":"secret","typeLabel":"string"},"events":{"type":"array","minItems":1,"items":{"type":"string","enum":["whatsapp.message.received","whatsapp.message.status"],"uniqueKey":"events.items.[INDEX]","typeLabel":"enum\u003cstring>"},"description":"`whatsapp.message.received` = a contact wrote to you. `whatsapp.message.status` = a message you sent was sent, delivered, read or failed.","uniqueKey":"events","typeLabel":"enum\u003cstring>[]"},"method":{"type":"string","enum":["POST","GET"],"default":"POST","uniqueKey":"method","typeLabel":"enum\u003cstring>"},"headers":{"type":"array","description":"Replaces the static headers.","items":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","isRequired":true,"uniqueKey":"headers.items.[INDEX].key","typeLabel":"string"},"value":{"type":"string","isRequired":true,"uniqueKey":"headers.items.[INDEX].value","typeLabel":"string"}},"uniqueKey":"headers.items.[INDEX]","typeLabel":"object"},"uniqueKey":"headers","typeLabel":"object[]"},"status":{"type":"string","enum":["active","inactive"],"description":"Pause (`inactive`) or resume (`active`) delivery without deleting the webhook.","uniqueKey":"status","typeLabel":"enum\u003cstring>"}},"uniqueKey":"","typeLabel":"object"},"example":{"status":"inactive"},"examples":{"Example":{"title":"Example","value":{"status":"inactive"}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"dd41c2fc-0b12-4108-94a8-8a1b9e412863":{"description":"The updated webhook","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","description":"A webhook registration. The `secret` is never returned: `hasSecret` tells you one is set.","properties":{"id":{"type":"integer","example":42,"uniqueKey":"data.id","typeLabel":"integer"},"name":{"type":"string","example":"Support bot","uniqueKey":"data.name","typeLabel":"string"},"url":{"type":"string","example":"https://bot.example.com/minimo/webhook","uniqueKey":"data.url","typeLabel":"string"},"events":{"type":"array","items":{"type":"string","enum":["whatsapp.message.received","whatsapp.message.status"],"uniqueKey":"data.events.items.[INDEX]","typeLabel":"enum\u003cstring>"},"uniqueKey":"data.events","typeLabel":"enum\u003cstring>[]"},"status":{"type":"string","enum":["active","inactive"],"uniqueKey":"data.status","typeLabel":"enum\u003cstring>"},"method":{"type":"string","enum":["POST","GET"],"uniqueKey":"data.method","typeLabel":"enum\u003cstring>"},"headers":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"data.headers.additionalProperties","typeLabel":"string"},"description":"Static headers sent on every delivery, as `{ \"Header-Name\": \"value\" }`.","uniqueKey":"data.headers","typeLabel":"object"},"hasSecret":{"type":"boolean","uniqueKey":"data.hasSecret","typeLabel":"boolean"},"created":{"type":"string","format":"date-time","uniqueKey":"data.created","typeLabel":"string\u003cdate-time>"}},"uniqueKey":"data","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"example":{"data":{"id":42,"name":"Support bot","url":"https://bot.example.com/minimo/webhook","events":["whatsapp.message.received","whatsapp.message.status"],"status":"inactive","method":"POST","headers":{},"hasSecret":true,"created":"2026-11-13T10:00:00.000Z"}},"examples":{"Example":{"title":"Example","value":{"data":{"id":42,"name":"Support bot","url":"https://bot.example.com/minimo/webhook","events":["whatsapp.message.received","whatsapp.message.status"],"status":"inactive","method":"POST","headers":{},"hasSecret":true,"created":"2026-11-13T10:00:00.000Z"}}}},"exampleType":"examples"}},"exampleType":"examples"},"370fb3cb-a994-4c3b-afe5-5809b17e9e44":{"description":"A field missing, of the wrong type or out of range.","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"FAIL","uniqueKey":"status","typeLabel":"string"},"message":{"type":"string","uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"status":"FAIL","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"c27ed75c-75b4-47d3-95cd-455f05418ed8":{"description":"Missing or invalid API key, or a key without the `WhatsApp` permission.","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"89abe800-dbfa-4eb6-9cd7-04b162e73b01":{"description":"No webhook with this id in your workspace.","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"FAIL","uniqueKey":"status","typeLabel":"string"},"message":{"type":"string","uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"status":"FAIL","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"4227efad-2b03-4fa4-be37-71cd9e298fb5":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"mn-API_CLIENT_ID-API_KEY","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"bd585015-3a89-44ed-8c8b-4b233fab0b45":{"url":"https://api.minimo.it"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"mn-API_CLIENT_ID-API_KEY","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"api-reference/openApi.yml"},"subdomain":"minimo","siteName":"Minimo Docs","title":"Update Webhook - Minimo Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-13T16:27:27.358Z","originalFileLocation":"api-reference/whatsapp-transport/webhook-update.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Change the URL, events or secret, or pause and resume delivery\">\u003cmeta data-mint-head name=\"application-name\" content=\"Minimo Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/minimo/CJfiX4gOkuK9_RYe/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/minimo/CJfiX4gOkuK9_RYe/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/minimo/CJfiX4gOkuK9_RYe/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/minimo/CJfiX4gOkuK9_RYe/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/minimo/CJfiX4gOkuK9_RYe/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/minimo/CJfiX4gOkuK9_RYe/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/minimo/CJfiX4gOkuK9_RYe/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/minimo/CJfiX4gOkuK9_RYe/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/minimo/CJfiX4gOkuK9_RYe/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update Webhook - Minimo Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Change the URL, events or secret, or pause and resume delivery\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Minimo Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.minimo.it/api-reference/whatsapp-transport/webhook-update\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://minimo.mintlify.site/_mintlify/api/og/v2?division=Webhooks\u0026amp;title=Update+Webhook\u0026amp;description=Change+the+URL%2C+events+or+secret%2C+or+pause+and+resume+delivery\u0026amp;theme=06602465e78cf5662614cb8c\u0026amp;signature=dc2044eca8b96143159a6a291c263ad555c7aaf6722d3186be9e347bcb4ca7e8\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update Webhook - Minimo Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Change the URL, events or secret, or pause and resume delivery\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://minimo.mintlify.site/_mintlify/api/og/v2?division=Webhooks\u0026amp;title=Update+Webhook\u0026amp;description=Change+the+URL%2C+events+or+secret%2C+or+pause+and+resume+delivery\u0026amp;theme=06602465e78cf5662614cb8c\u0026amp;signature=dc2044eca8b96143159a6a291c263ad555c7aaf6722d3186be9e347bcb4ca7e8\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/minimo/CJfiX4gOkuK9_RYe/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Minimo Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#000000\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.minimo.it/api-reference/whatsapp-transport/webhook-update\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/whatsapp-transport/webhook-update.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.minimo.it/#organization\",\"name\":\"Minimo Docs\",\"url\":\"https://docs.minimo.it\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/minimo/_5TQWO7ZAmNbow_0/logo/light.svg?fit=max\u0026auto=format\u0026n=_5TQWO7ZAmNbow_0\u0026q=85\u0026s=770ea7f424284ce6f88684bb97af23f0\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.minimo.it#website\",\"name\":\"Minimo Docs\",\"url\":\"https://docs.minimo.it\",\"publisher\":{\"@id\":\"https://docs.minimo.it/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.minimo.it/api-reference/whatsapp-transport/webhook-update#webpage\",\"url\":\"https://docs.minimo.it/api-reference/whatsapp-transport/webhook-update\",\"name\":\"Update Webhook\",\"description\":\"Change the URL, events or secret, or pause and resume delivery\",\"dateModified\":\"2026-11-13T16:27:27.358Z\",\"isPartOf\":{\"@id\":\"https://docs.minimo.it#website\"},\"breadcrumb\":{\"@id\":\"https://docs.minimo.it/api-reference/whatsapp-transport/webhook-update#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.minimo.it/api-reference/whatsapp-transport/webhook-update#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Connect a Bot (WhatsApp)\",\"item\":\"https://docs.minimo.it/api-reference/whatsapp-transport/overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Webhooks\",\"item\":\"https://docs.minimo.it/api-reference/whatsapp-transport/webhook-register\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Update Webhook\",\"item\":\"https://docs.minimo.it/api-reference/whatsapp-transport/webhook-update\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.minimo.it/api-reference/whatsapp-transport/webhook-update#apireference\",\"headline\":\"Update Webhook\",\"name\":\"Update Webhook\",\"description\":\"Change the URL, events or secret, or pause and resume delivery\",\"url\":\"https://docs.minimo.it/api-reference/whatsapp-transport/webhook-update\",\"mainEntityOfPage\":{\"@id\":\"https://docs.minimo.it/api-reference/whatsapp-transport/webhook-update#webpage\"},\"dateModified\":\"2026-11-13T16:27:27.358Z\",\"publisher\":{\"@id\":\"https://docs.minimo.it/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.minimo.it#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Minimo Docs\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Minimo Docs\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/whatsapp-transport/webhook-update.md","siteName":"Minimo Docs","nav":{"global":{"anchors":[{"anchor":"Sito Web","href":"https://minimo.it","icon":"desktop"},{"anchor":"Blog","href":"https://minimo.it/blog","icon":"newspaper"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"Product","pages":[{"title":"Product","href":"/product/introduction"}]},{"tab":"API Reference","groups":[{"group":"Overview","pages":[{"title":"Introduction","href":"/api-reference/overview/introduction"},{"title":"Authentication \u0026 API Keys","href":"/api-reference/overview/authentication"},{"title":"API Conventions","href":"/api-reference/overview/conventions"}]},{"group":"Core Data","pages":[{"group":"Contacts","pages":[{"title":"Create or Update Contact","openapi":"post /public/v1/contacts","href":"/api-reference/core-data/contacts/upsert"},{"title":"Get Contact by Email","openapi":"get /public/v1/contacts/by-email/{email}","href":"/api-reference/core-data/contacts/get-by-email"},{"title":"Update Contact by ID","openapi":"put /public/v1/contacts/{id}","href":"/api-reference/core-data/contacts/update-by-id"},{"title":"Opt Out of Marketing","openapi":"post /public/v1/contacts/opt-out","href":"/api-reference/core-data/contacts/opt-out"},{"title":"Delete Contact","openapi":"delete /public/v1/contacts/{id}","href":"/api-reference/core-data/contacts/delete"}]},{"group":"Custom Fields","pages":[{"title":"List Custom Fields","openapi":"get /public/v1/custom-fields","href":"/api-reference/core-data/custom-fields/list"},{"title":"Create Custom Field","openapi":"post /public/v1/custom-fields","href":"/api-reference/core-data/custom-fields/create"}]}]},{"group":"Messaging Channels","pages":[{"group":"Email","pages":[{"title":"Send Email Template","openapi":"post /public/v1/templates/email/send","href":"/api-reference/messaging-channels/email/send-template"},{"title":"Create Email Template","href":"/api-reference/messaging-channels/email/create-template"},{"title":"List Email Templates","openapi":"get /public/v1/templates/email","href":"/api-reference/messaging-channels/email/list-templates"},{"title":"Get Email Template Stats","openapi":"get /public/v1/transactionals/{id}/stats","href":"/api-reference/messaging-channels/email/stats"},{"title":"Send One-Shot HTML Email","openapi":"post /public/v1/emails","href":"/api-reference/messaging-channels/email/send-html"},{"title":"Get One-Shot Email Statistics","openapi":"get /public/v1/emails/{id}/stats","href":"/api-reference/messaging-channels/email/html-stats"}]},{"group":"WhatsApp","pages":[{"title":"List WhatsApp Senders","openapi":"get /public/v1/templates/whatsapp/senders","href":"/api-reference/messaging-channels/whatsapp/list-senders"},{"title":"Send WhatsApp Template","openapi":"post /public/v1/templates/whatsapp/send","href":"/api-reference/messaging-channels/whatsapp/send-template"},{"title":"List WhatsApp Templates","openapi":"get /public/v1/templates/whatsapp","href":"/api-reference/messaging-channels/whatsapp/list-templates"},{"title":"Inbound \u0026 Webhooks","href":"/api-reference/messaging-channels/whatsapp/inbound-webhooks"}]}]},{"group":"Inbox","pages":[{"group":"Threads","pages":[{"title":"List Threads","openapi":"get /public/v1/inbox/threads","href":"/api-reference/inbox/list-threads"},{"title":"Search Threads","openapi":"get /public/v1/inbox/threads/search","href":"/api-reference/inbox/search-threads"},{"title":"Get Thread","openapi":"get /public/v1/inbox/threads/{threadId}","href":"/api-reference/inbox/get-thread"},{"title":"Update Thread","openapi":"patch /public/v1/inbox/threads/{threadId}","href":"/api-reference/inbox/update-thread"},{"title":"Turn AI Off or On","openapi":"post /public/v1/inbox/threads/{threadId}/ai","href":"/api-reference/inbox/set-ai"},{"title":"Reply to Thread","openapi":"post /public/v1/inbox/threads/{threadId}/reply","href":"/api-reference/inbox/reply"}]}]},{"group":"Connect a Bot (WhatsApp)","pages":[{"title":"Overview","href":"/api-reference/whatsapp-transport/overview"},{"group":"Messages","pages":[{"title":"Send a Message","openapi":"post /public/v1/templates/whatsapp/send","href":"/api-reference/whatsapp-transport/send"},{"title":"Download Media","openapi":"get /public/v1/media/{id}","href":"/api-reference/whatsapp-transport/media"}]},{"group":"Webhooks","pages":[{"title":"Register Webhook","openapi":"post /public/v1/webhooks/registrations","href":"/api-reference/whatsapp-transport/webhook-register"},{"title":"List Webhooks","openapi":"get /public/v1/webhooks/registrations","href":"/api-reference/whatsapp-transport/webhook-list"},{"title":"Get Webhook","description":"One webhook registration","openapi":"get /public/v1/webhooks/registrations/{id}","href":"/api-reference/whatsapp-transport/webhook-get"},{"title":"Update Webhook","openapi":"put /public/v1/webhooks/registrations/{id}","href":"/api-reference/whatsapp-transport/webhook-update"},{"title":"Delete Webhook","description":"Stop sending events to a webhook","openapi":"delete /public/v1/webhooks/registrations/{id}","href":"/api-reference/whatsapp-transport/webhook-delete"},{"title":"Webhook Delivery Logs","openapi":"get /public/v1/webhooks/registrations/{id}/logs","href":"/api-reference/whatsapp-transport/webhook-logs"},{"title":"Webhook Events","href":"/api-reference/whatsapp-transport/webhooks"}]},{"group":"Conversations","pages":[{"title":"List Conversations","openapi":"get /public/v1/whatsapp/conversations","href":"/api-reference/whatsapp-transport/conversations"},{"title":"List Conversation Messages","openapi":"get /public/v1/whatsapp/conversations/{chatId}/messages","href":"/api-reference/whatsapp-transport/conversation-messages"}]},{"title":"Handle Unsubscribe Requests","href":"/api-reference/whatsapp-transport/opt-out"},{"title":"Notes \u0026 Limits","href":"/api-reference/whatsapp-transport/notes"}]},{"group":"Legacy (Deprecated)","pages":[{"title":"Legacy API (Deprecated)","icon":"triangle-exclamation","href":"/api-reference/legacy/introduction"},{"title":"Send Email (Deprecated)","openapi":"post /api/transactionals","href":"/api-reference/legacy/send-email-deprecated"},{"title":"List Email Transactionals (Deprecated)","href":"/api-reference/legacy/list-email-transactionals-deprecated"}]}]},{"tab":"Guides","pages":[{"title":"Guides","href":"/guides/embedded-start-here"}]}]},"basePath":"","title":"Update Webhook - Minimo Docs","buildId":"dpl_715YoAgvjTGBDdo8RtXmHKM22b5p","deploymentId":"dpl_715YoAgvjTGBDdo8RtXmHKM22b5p","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-BvKnMd7F.js","utils-BMt52org.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-CGXZuDGO.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Dl57XWH2.js","snippetPresets-CWd8CxSk.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BR-Wkc_D.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-YMmi08aZ.js","shallow-DBC1OB78.js","getApiPlaygroundDisplay-Be7mmEzP.js","CodeSnippet-B14o1TgQ.js","CodeSnippets-CJ2q3fTq.js","Page-Chgj7sZe.js","getPastedJson-DnpLXm8x.js","icon-BpkSFtdK.js","MethodPill-BO3zPf-g.js","DuplicateIcon-Bib3qwfw.js","createIcon-CY2noFo3.js","DynamicMarkdown-TAXIW2vN.js","SectionHeading-Dfs3Fmfw.js","axios-vUo_bRtp.js","Markdown-CGAo_eqA.js","clsx-BNa-H6W6.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-r2tNEC1n.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-B7oWe6jc.js"]}